Bug 1571860 - virt-install hangs before to start anaconda GUI for f28 ppc64le [NEEDINFO]
Summary: virt-install hangs before to start anaconda GUI for f28 ppc64le
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 28
Hardware: ppc64le
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2018-04-25 14:37 UTC by Michel Normand
Modified: 2019-05-02 21:13 UTC (History)
11 users (show)

(edit)
Clone Of:
(edit)
Last Closed:
normand: needinfo? (dan)


Attachments (Terms of Use)
createhdds_server_f28_ppc64le_vnc_hang.png (23.34 KB, image/png)
2018-04-25 14:37 UTC, Michel Normand
no flags Details
all_tmp_logs.txt (356.45 KB, text/plain)
2018-04-25 15:19 UTC, Michel Normand
no flags Details

Description Michel Normand 2018-04-25 14:37:47 UTC
Created attachment 1426723 [details]
createhdds_server_f28_ppc64le_vnc_hang.png

virt-install hangs before to start anaconda GUI for f28 ppc64le
the vnc console ends with lines appended below and no

There was no such problem for f26 or f27.


=== on a f27 ppc64le host:
$whereis virt-install
virt-install: /usr/bin/virt-install /usr/share/man/man1/virt-install.1.gz
$rpm -qf /usr/bin/virt-install
virt-install-1.4.3-2.fc27.noarch
===
virt-install --disk size=8,path=disk_f28_server_3_ppc64le.img.tmp --os-variant fedora-unknown -x inst.ks=file:/server.ks --initrd-inject /root/createhdds/server.ks --location https://dl.fedoraproject.org/pub/fedora-secondary/development/28/Server/ppc64le/os/ --name createhdds --memory 4096 --noreboot --wait -1 --graphics vnc --noautoconsole --network user
===
=== last lines of vnc console, manually copied from attached image.
===
...
Starting Show Plymouth Boot Screen...
Started Show Plymouth Boot Screen
Reached target Paths.
Started Forward Password Requests to Plymouth Directory Watch.
===

The concequence is that createhdds tool used for openQA is unable to create the f28 images used by some some openQA tests.

Comment 1 Daniel Berrange 2018-04-25 14:40:54 UTC
Re-assigning to anaconda, since the description states the problem is with the guest OS, and the same host works fine with anaconda from F26/27 guest.

Comment 2 Michel Normand 2018-04-25 14:43:39 UTC
This is a follow up of the previous bug https://bugzilla.redhat.com/show_bug.cgi?id=1569045 where virt-install was called with text console and not vnc console.

Comment 3 Michel Normand 2018-04-25 15:19 UTC
Created attachment 1426733 [details]
all_tmp_logs.txt

anaconda hangs because X failed to start as detailed in attached all_tmp_logs.txt

===
[anaconda root@localhost /]# tail -f /tmp/anaconda.log
15:01:00,949 INF threading: Thread Done: AnaWaitForConnectingNMThread (140735373832576)
15:01:01,432 WRN display: X startup failed: Xorg exited with status 1
15:01:01,439 WRN stdout: X startup failed, falling back to text mode
15:01:01,440 DBG anaconda: changing display mode from GUI to TUI
15:01:03,457 DBG simpleline: Scheduling screen AskVNCSpoke
15:01:03,458 DBG simpleline: New signal RenderScreenSignal enqueued with source ScreenScheduler
15:01:03,459 DBG simpleline: Starting main loop
15:01:03,459 DBG simpleline: Processing signal RenderScreenSignal
15:01:03,460 DBG simpleline: Processing screen ScreenData(AskVNCSpoke,None,False)
15:01:03,473 DBG simpleline: Input is required by ScreenData(AskVNCSpoke,None,False) screen
===
=== tail of /tmp/X.log
===
[   167.245] (EE) Device(s) detected, but none match those in the config file.
[   167.245] (EE) 
Fatal server error:
[   167.245] (EE) no screens found(EE) 
[   167.245] (EE) 
Please consult the Fedora Project support 
         at http://wiki.x.org
 for help. 
[   167.245] (EE) Please also check the log file at "/tmp/X.log" for additional information.
[   167.245] (EE) 
[   167.245] (EE) Server terminated with error (1). Closing log file.
===

Comment 4 Michel Normand 2018-04-25 16:12:38 UTC
If  I compare the X*.log between f27 and f28, this may points to missing "/dev/dri/card0" for f28. What is the cause ?
===
$grep -i dev.dri Xf28.log Xf27.log 
Xf28.log:[   167.235] (EE) open /dev/dri/card0: No such file or directory
Xf28.log:[   167.235] (EE) open /dev/dri/card0: No such file or directory
Xf27.log:[   137.456] (II) xfree86: Adding drm device (/dev/dri/card0)
Xf27.log:[   137.504] (II) modeset(0): using drv /dev/dri/card0
===

Comment 5 Michel Normand 2018-04-26 12:38:21 UTC
I guess the previous X.log failure is related tot the bosh_drm failure reported in syslog; BUT I do not know how to continue the investigation.
Dan do you have a suggestion ?

=== extract all_tmp_logs.txt:
15:00:36,276 INFO kernel:fb: switching to bochsdrmfb from OFfb vga
15:00:36,276 INFO kernel:Console: switching to colour dummy device 80x25
15:00:36,276 WARNING kernel:bochs-drm 0000:00:07.0: BAR 0: can't reserve [mem 0x200081000000-0x200081ffffff pref]
15:00:36,277 ERR kernel:[drm:bochs_hw_init [bochs_drm]] *ERROR* Cannot request framebuffer
15:00:36,277 WARNING kernel:Trying to free nonexistent resource <0000200081000000-0000200081ffffff>
15:00:36,277 WARNING kernel:bochs-drm: probe of 0000:00:07.0 failed with error -16
===

Comment 6 Michel Normand 2018-04-26 13:00:27 UTC
at least a bypass would be to add "plymouth.enable=0" as virt-install --extra-args as suggested by https://lists.opensuse.org/opensuse-bugs/2016-05/msg02027.html

Comment 7 Ben Cotton 2019-05-02 21:13:32 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.